Last Comment Bug 667639 - [adbe 2912052] Firefox Crash @ speex_bits_remaining
: [adbe 2912052] Firefox Crash @ speex_bits_remaining
Status: RESOLVED FIXED
: crash
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: Trunk
: x86 Mac OS X
: -- critical (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: Benjamin Smedberg [:bsmedberg]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-27 15:35 PDT by Marcia Knous [:marcia - use ni]
Modified: 2011-11-18 00:08 PST (History)
2 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Marcia Knous [:marcia - use ni] 2011-06-27 15:35:00 PDT
Seen while reviewing crash stats.  https://crash-stats.mozilla.com/query/query?query_type=simple&do_query=1&query=speex_bits_remaining. Seen across all versions. https://crash-analysis.mozilla.com/chofmann/20110625/top-plugin-crashes-4.0.1.html indicates 7 different versions of flash appear associated with this signature for 4.0.1.

https://crash-stats.mozilla.com/report/index/99f64ee6-550c-414a-a0e5-8b42a2110627

Frame 	Module 	Signature [Expand] 	Source
0 	NPSWF32.dll 	speex_bits_remaining 	
1 	NPSWF32.dll 	F_1325792255________________________ 	F1683295306____________________________________________:689
2 	NPSWF32.dll 	F_1277874005_____________________________________________ 	F1946965479______________________________________________:1144
3 	NPSWF32.dll 	F_12715505________________________ 	F_1694631984__________________________________________________________:389
4 	NPSWF32.dll 	F_1445282476____________________________________ 	F_1694631984__________________________________________________________:816
5 	kernel32.dll 	memcpy 	
6 	NPSWF32.dll 	F_1427895109___________________________ 	F327035520_____________________________________________________________:146
7 	NPSWF32.dll 	F96146851____________________________ 	F327035520_____________________________________________________________:125
8 	kernel32.dll 	BaseThreadInitThunk 	
9 	ntdll.dll 	__RtlUserThreadStart 	
10 	ntdll.dll 	_RtlUserThreadStart
Comment 1 smadayag 2011-07-01 13:50:26 PDT
internally tracked in #2912052.  signature ranks #33...
Comment 2 smadayag 2011-07-26 15:39:12 PDT
our developer believes this to be resolved in the Serrano release.  we did some code changes in the area of concern and will monitor the hit counts once we release.

keeping open until we ship Serrano...
Comment 3 smadayag 2011-10-12 10:42:21 PDT
Serrano 11,0,1,152 shipped 10/4/11.  closing, resolved fixed...

Note You need to log in before you can comment on or make changes to this bug.